#
# spec file for package qsapecng
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           qsapecng
Version:        2.1.1
Release:        11.32
Summary:        Qt-based program for symbolic analysis of linear analog circuits
License:        GPL-3.0+
Group:          Productivity/Scientific/Electronics
Url:            http://qsapecng.sourceforge.net/
Source0:        https://github.com/skypjack/qsapecng/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
BuildRequires:  cmake
BuildRequires:  hicolor-icon-theme
BuildRequires:  libqt4-devel
BuildRequires:  qwt6-devel
BuildRequires:  update-desktop-files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QSapecNG is a Qt-based program for symbolic analysis of linear analog circuits.
In fact, it consists of two indipendent parts: the SapecNG framework engine
and the application gui QSapecNG. It comes as continuation of SapWin for Windows,
in order to give to the project a full compatibility on other platforms.
Through SapecNG/QSapecNG users can draw, solve and analyze analog circuits as well
as manage them. There is also the full support for sub-circuits, which can be created,
saved, reopened and added as a part of the other circuits.

%prep
%setup -q
sed -i 's/\r$//' README
sed -i 's|"include/qwt"|"include/qwt6"|' cmake/Modules/FindQwt.cmake

%build
%cmake
make %{?_smp_mflags}

%install
%cmake_install
%suse_update_desktop_file -r %{name} "Education;Engineering"

%files
%defattr(-,root,root)
%doc AUTHOR LICENSE README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/icons/hicolor/scalable/apps/qsapecng.svg

%changelog
* Sat Aug  5 2017 aloisio@gmx.com
- Update to version 2.1.1
  * Porting to Qwt6
  * Bug fixing
  2.1.0~beta1
  * Working on bug https://sourceforge.net/tracker/?func=detail&aid=3131134&group_id=369990&atid=1541776
  * Working on compatibility with Qwt version 6 (starting from patch
    https://sourceforge.net/tracker/?func=detail&aid=3396943&group_id=369990&atid=1541778
    written for Debian)
  * Debug symbols added to final binaries, using CMake variables, only
    for 'Debug' and 'RelWithDebInfo' targets.
  * Removed icon size 24x24 and added icon size 22x22 for compatibility.
- Updated source URL
- Dropped qsapecng-2.0.0-boost_join_fix.patch (fixed upstream)
- Switched to qwt6
* Thu Feb  2 2017 adam.majer@suse.de
- use individual libboost-*-devel packages instead of boost-devel
* Mon Apr 18 2016 antoine.belvire@laposte.net
- Fix build on Tumbleweed:
  * Add qsapecng-2.0.0-boost_join_fix.patch (boo#975911, workaround
    to qt#22829)
* Tue Oct 28 2014 dmitry_r@opensuse.org
- Initial package, version 2.0.0
